<?php
namespace Nexus\Catalog\Controller\Adminhtml\Productlink\ImportLists;

/**
 * Interceptor class for @see \Nexus\Catalog\Controller\Adminhtml\Productlink\ImportLists
 */
class Interceptor extends \Nexus\Catalog\Controller\Adminhtml\Productlink\ImportLists implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Model\Session $backendSession, \Magento\Framework\Registry $registry, \Magento\Backend\Model\View\Result\RedirectFactory $resultRedirectFactory, \Magento\Backend\App\Action\Context $context, \Magento\Framework\Filesystem $filesystem, \Magento\MediaStorage\Model\File\UploaderFactory $fileUploaderFactory, \Nexus\Catalog\Model\CatalogProductLinkFactory $catalogProductLinkFactory, \Magento\Catalog\Api\ProductRepositoryInterface $productRepository, \Magento\Framework\File\Csv $csv)
    {
        $this->___init();
        parent::__construct($backendSession, $registry, $resultRedirectFactory, $context, $filesystem, $fileUploaderFactory, $catalogProductLinkFactory, $productRepository, $csv);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
